org.apache.hc.client5.http.impl.cookie

## Class BasicSecureHandler

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.AbstractCookieAttributeHandler
  - - org.apache.hc.client5.http.impl.cookie.BasicSecureHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=STATELESS)
      public class BasicSecureHandler
      extends AbstractCookieAttributeHandler
      implements CommonCookieAttributeHandler

  Cookie `secure` attribute handler.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSecureHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()`
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
    `void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.

    - ### Methods inherited from class org.apache.hc.client5.http.impl.cookie.AbstractCookieAttributeHandler

      `validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hc.client5.http.cookie.CookieAttributeHandler

      `validate`

- - ### Constructor Detail

    - #### BasicSecureHandler

          public BasicSecureHandler()

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                   String value)
                     throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException`

    - #### match

          public boolean match(Cookie cookie,
                      CookieOrigin origin)

      Description copied from interface: `CookieAttributeHandler`
      Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
      Specified by:
        `match` in interface `CookieAttributeHandler`
      Overrides:
        `match` in class `AbstractCookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to match
        `origin` - the cookie source to match against
      Returns:
        `true` if the match is successful; `false` otherwise

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.